CacheCommandFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.infinispan.util
Class CacheCommandFactory

    java.lang.Object
      org.hibernate.cache.infinispan.util.CacheCommandFactory

All Implemented Interfaces:
  org.infinispan.commands.module.ExtendedModuleCommandFactory, org.infinispan.commands.module.ModuleCommandFactory

    public class CacheCommandFactory

extends Object
implements org.infinispan.commands.module.ExtendedModuleCommandFactory

Command factory

Since:
  4.0

Constructor Summary
`CacheCommandFactory()`

Method Summary
`void` | `addRegion(String regionName, BaseRegion region)`
`void` | `clearRegions(List<String> regionNames)`
`org.infinispan.commands.ReplicableCommand` | `fromStream(byte commandId, Object[] args)`
`org.infinispan.commands.remote.CacheRpcCommand` | `fromStream(byte commandId, Object[] args, String cacheName)`
`Map<Byte,Class<? extends org.infinispan.commands.ReplicableCommand>>` | `getModuleCommands()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheCommandFactory

    public CacheCommandFactory()

Method Detail

### addRegion

    public void addRegion(String regionName,
                          BaseRegion region)

### clearRegions

    public void clearRegions(List<String> regionNames)

### getModuleCommands

    public Map<Byte,Class<? extends org.infinispan.commands.ReplicableCommand>> getModuleCommands()

  Specified by:
    `getModuleCommands` in interface `org.infinispan.commands.module.ModuleCommandFactory`

### fromStream

    public org.infinispan.commands.remote.CacheRpcCommand fromStream(byte commandId,
                                                                     Object[] args,
                                                                     String cacheName)

  Specified by:
    `fromStream` in interface `org.infinispan.commands.module.ExtendedModuleCommandFactory`

### fromStream

    public org.infinispan.commands.ReplicableCommand fromStream(byte commandId,
                                                                Object[] args)

  Specified by:
    `fromStream` in interface `org.infinispan.commands.module.ModuleCommandFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.